Tanya :

Saya coba menjalankan Virtual Box di Lucid saya. Tapi gagal dengan pesan error dengan seperti ini :

RTR3Init failed with rc=-1912 (r=-1912)

Bagaimana solusinya ?

Jawab :

Kebetulan saya juga mendapatkan masalah yang sama.Ditandai dengan munculnya peringatan kesalahan seperti :

Berikut solusi yang saya lakukan :

Pertama cek versi virtualbox-nya

rezaervani@rezaervani-laptop:~$ dpkg -s virtualbox-ose Package: virtualbox-ose Status: install ok installed Priority: optional Section: misc Installed-Size: 28924 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> Architecture: i386 Version: 3.1.6-dfsg-2ubuntu2 Depends: libc6 (>= 2.11), libcurl3 (>= 7.16.2-1), libgcc1 (>= 1:4.1.1), libpng12-0 (>= 1.2.13-4), libpython2.6 (>= 2.6), libsdl1.2debian (>= 1.2.10-1), libssl0.9.8 (>= 0.9.8k-1), libstdc++6 (>= 4.2.1), libx11-6 (>= 0), libxcursor1 (>> 1.1.2), libxext6 (>= 0), libxml2 (>= 2.7.4), libxmu6, libxt6, zlib1g (>= 1:1.1.4), python (>= 2.4), python-central (>= 0.6.11), adduser Recommends: virtualbox-ose-dkms (= 3.1.6-dfsg-2ubuntu2), virtualbox-ose-qt (= 3.1.6-dfsg-2ubuntu2), libgl1-mesa-glx | libgl1, libqt4-opengl (>= 4:4.5.3), libqtcore4 (>= 4:4.5.3), libqtgui4 (>= 4:4.5.3) Suggests: virtualbox-guest-additions, libasound2, libpulse0 Conflicts: virtualbox, virtualbox-2.0, virtualbox-2.1, virtualbox-2.2, virtualbox-3.0 Conffiles: /etc/default/virtualbox-ose 467417a44a8cc0a80482f55c27e93c80 /etc/init.d/virtualbox-ose 7db3ea1ccf905c4d8b6e03b363cf7f49 Description: x86 virtualization solution - base binaries VirtualBox is a free x86 virtualization solution allowing a wide range of x86 operating systems such as Windows, DOS, BSD or Linux to run on a Linux system. . This package provides the binaries for the Open Source Edition of VirtualBox. The virtualbox-ose-dkms package is also required in order to compile the kernel modules needed for virtualbox-ose. A graphical user interface for VirtualBox is provided by the package virtualbox-ose-qt. Homepage: http://www.virtualbox.org/ Original-Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org> Python-Version: >= 2.4

Selanjutnya cek di http://packages.ubuntu.com, versi paket virtualbox-ose yang lebih ada ternyata ada di bagian lucid-backports yakni : (Kenapa kita memeriksa bagian lucid-backports dapat anda lihat keterangannya di Tanya 83 : https://tanyarezaervani.wordpress.com/2011/04/19/tanya-83-mengenal-ubuntu-backports-repository/

virtualbox-ose 3.2.8-dfsg-2ubuntu1~lucid1

Jadi tampaknya versi virtual box yang lama

Version: 3.1.6-dfsg-2ubuntu2

Memiliki masalah, jadi solusinya kita update terlebih dahulu repository kita dengan :

sudo apt-get update

Dugaannya bahwa saat kita install kembali virtualbox-ose, maka instalasi akan mengambil dari folder lucid-backports repository.

sudo apt-get install virtualbox-ose

Dan dugaan kita terbukti, terlihat dari proses pengunduhan paket :

Get:1 http://kambing.ui.ac.id/ubuntu/ lucid-backports/universe virtualbox-ose 3.2.8-dfsg-2ubuntu1~lucid1 [9,087kB]

Selepas instalasi saya jalankan kembali virtual box, dan alhamdulillah, kini Virtual Box saya berjalan dengan normal :

Virtual Box-OSE yang berjalan normal

Kita cek sekarang versi Virtual Box yang kita gunakan :

rezaervani@rezaervani-laptop:~$ dpkg -s virtualbox-ose
Package: virtualbox-ose
Status: install ok installed
Priority: optional
Section: misc
Installed-Size: 31452
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Architecture: i386
Version: 3.2.8-dfsg-2ubuntu1~lucid1
Depends: libc6 (>= 2.11), libcurl3 (>= 7.16.2-1), libgcc1 (>= 1:4.1.1), libpng12-0 (>= 1.2.13-4), libpython2.6 (>= 2.6), libsdl1.2debian (>= 1.2.10-1), libssl0.9.8 (>= 0.9.8k-1), libstdc++6 (>= 4.2.1), libvncserver0, libx11-6 (>= 0), libxcursor1 (>> 1.1.2), libxext6 (>= 0), libxml2 (>= 2.7.4), libxmu6, libxt6, zlib1g (>= 1:1.1.4), python (>= 2.4), python-central (>= 0.6.11), adduser
Recommends: virtualbox-ose-dkms (= 3.2.8-dfsg-2ubuntu1~lucid1), virtualbox-ose-qt (= 3.2.8-dfsg-2ubuntu1~lucid1), libgl1-mesa-glx | libgl1, libqt4-opengl (>= 4:4.5.3), libqtcore4 (>= 4:4.5.3), libqtgui4 (>= 4:4.5.3)
Suggests: virtualbox-guest-additions, libasound2, libpulse0, vde2
Conflicts: virtualbox, virtualbox-2.0, virtualbox-2.1, virtualbox-2.2, virtualbox-3.0
Conffiles:
 /etc/default/virtualbox-ose 467417a44a8cc0a80482f55c27e93c80
 /etc/init.d/virtualbox-ose 7db3ea1ccf905c4d8b6e03b363cf7f49
Description: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for the Open Source Edition of
 VirtualBox. The virtualbox-ose-dkms package is also required in order
 to compile the kernel modules needed for virtualbox-ose. A graphical user
 interface for VirtualBox is provided by the package virtualbox-ose-qt.
Homepage: http://www.virtualbox.org/
Original-Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Python-Version: >= 2.4

Dan kita temukan, Virtual Box saya sudah terupgrade ke versi yang lebih baru yakni :

Version: 3.2.8-dfsg-2ubuntu1~lucid1
 

Demikian, semoga membantu

Iklan